Subject: Re: [PATCH] gnu: Add emacs-nano-theme

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 18 Apr 2022 11:36:40 +0200

Am Sonntag, dem 17.04.2022 um 18:45 +0000 schrieb Maya:
> I have made the changes you suggested, I only didn't know what to do
> about your comment regarding the use of greek alphabet, does that
> mean the patch won't be merged until upstream changes it?
> 
> Maya
For the record, this space is for the commit message, which should be
an explanation if needed (not needed for the addition of a package),
and a ChangeLog.

> ---
You can add your own comments below this line.

>  gnu/packages/emacs-xyz.scm | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
> 
> diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
> index 3d105747d1..ed3aa2e3a6 100644
> --- a/gnu/packages/emacs-xyz.scm
> +++ b/gnu/packages/emacs-xyz.scm
> @@ -1076,6 +1076,36 @@ (define-public emacs-nano-modeline
>  displayed at the bottom or at the top.")
>        (license license:gpl3+))))
> 
> +(define-public emacs-nano-theme
> +  (package
> +   (name "emacs-nano-theme")
> +   (version "0.3.0")
> +   (source
> +    (origin
> +     (method url-fetch)
> +     (uri (string-append
> +           "https://elpa.gnu.org/packages/nano-theme-"
> +           version
> +           ".tar"))
> +     (sha256
> +      (base32
> "1nq5x46467vnsfg3fzb0qyg97xpnwsvbqg8frdjil5zq5fhsgmrz"))))
> +   (build-system emacs-build-system)
> +   (home-page "https://github.com/rougier/nano-theme")
> +   (synopsis "N Λ N O theme")
You might want to simply write "Emacs theme defined by 7 faces"
> +   (description
> +    "N Λ N O theme is a consistent theme that comes in two flavors:
I agree with Maxime.  Use "Nano Theme", "@code{nano-theme}" or simply
"This package provides a theme that comes in two flavours".  I'm not
sure whether we should add "consistent" – it would suggest that other
themes are inconsistent, which sure some of them might be but most
don't strive to be.
> +@itemize
> +@item a light theme that is based on Material
> (@url{https://material.io/})
> +@item a dark theme that is based on Nord
> (@url{https://www.nordtheme.com/}).
> +@end itemize
> +
> +A theme is fully defined by a set of (1+6) faces as explained in
> this paper
> +@url{https://arxiv.org/abs/2008.06030}.
Here too I would suggest @code{nano-theme} or this-theme.

> +Recommended font is \"Roboto Mono\" (package @code{font-google-
> roboto}) or \"Roboto Mono Nerd\" if you want to benefit
> +from all the fancy glyphs.")
"It is recommended to use a font with programming ligatures, such as
@code{font-google-roboto}".  On that note, does Roboto have programming
ligatures?

Cheers